/*
 * Copyright 2009 Canonical, Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors:
 *    Cody Russell  <crussell@canonical.com>
 */

#ifndef __APP_MENU_BRIDGE_H__
#define __APP_MENU_BRIDGE_H__

#include <gtk/gtkmenuproxy.h>

#define APP_MENU_TYPE_BRIDGE         (app_menu_bridge_get_type ())
#define APP_MENU_BRIDGE(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), APP_MENU_TYPE_BRIDGE, AppMenuBridge))
#define APP_MENU_BRIDGE_CLASS(c)     (G_TYPE_CHECK_CLASS_CAST ((c), APP_MENU_TYPE_BRIDGE, AppMenuBridgeClass))
#define APP_MENU_IS_BRIDGE(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), APP_MENU_TYPE_BRIDGE))
#define APP_MENU_IS_BRIDGE_CLASS(c)  (G_TYPE_CHECK_CLASS_TYPE ((c), APP_MENU_TYPE_BRIDGE))
#define APP_MENU_BRIDGE_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), APP_MENU_TYPE_BRIDGE, AppMenuBridgeClass))

typedef struct _AppMenuBridge        AppMenuBridge;
typedef struct _AppMenuBridgeClass   AppMenuBridgeClass;
typedef struct _AppMenuBridgePrivate AppMenuBridgePrivate;

struct _AppMenuBridge
{
  GtkMenuProxy parent_object;
  AppMenuBridgePrivate *priv;
};

struct _AppMenuBridgeClass
{
  GtkMenuProxyClass parent_class;
};

GType app_menu_bridge_get_type () G_GNUC_CONST;

#endif /* __APP_MENU_BRIDGE_H__ */
